﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FishFactoryDatabaseImplement.Models
{
    public class CannedComponent
    {
        public int Id { get; set; }
        [Required]
        public int CannedId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Canned Canned { get; set; } = new();
    }
}
