﻿using FishFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FishFactoryDataModels
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpening { get; }
        Dictionary<int, (ICannedModel, int)> ListCanneds { get; }
        int MaxCountCanneds { get; }
    }
}
